# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 4 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/define=("__GMP_WITHIN_GMP=1")\
	/include=([],[-])

OBJS=init.obj,init2.obj,set.obj,\
	set_ui.obj,set_si.obj,set_str.obj,\
	set_d.obj,set_z.obj,iset.obj,iset_ui.obj,\
	iset_si.obj,iset_str.obj,iset_d.obj,\
	clear.obj,get_str.obj,dump.obj,size.obj,\
	eq.obj,reldiff.obj,sqrt.obj,random2.obj,\
	inp_str.obj,out_str.obj,add.obj,add_ui.obj,\
	sub.obj,sub_ui.obj,ui_sub.obj,mul.obj,\
	mul_ui.obj,div.obj,div_ui.obj,cmp.obj,\
	cmp_d.obj,cmp_ui.obj,cmp_si.obj,\
	mul_2exp.obj,div_2exp.obj,abs.obj,neg.obj,\
	set_q.obj,get_d.obj,get_d_2exp.obj,\
	set_dfl_prec.obj,set_prc.obj,set_prc_raw.obj,\
	get_dfl_prec.obj,get_prc.obj,ui_div.obj,\
	sqrt_ui.obj,ceilfloor.obj,trunc.obj,\
	pow_ui.obj,urandomb.obj,swap.obj,\
	fits_sint.obj,fits_slong.obj,fits_sshort.obj,\
	fits_uint.obj,fits_ulong.obj,fits_ushort.obj,\
	get_si.obj,get_ui.obj,int_p.obj

all : [-]libgmp_mpf.olb
	@ write sys$output "all done in [.mpf]"

[-]libgmp_mpf.olb : $(OBJS)
	library/create [-]libgmp_mpf.olb $(OBJS)

$(OBJS) : [-]config.h [-]gmp.h [-]fib_table.h [-]mp_bases.h

init.obj : init.c
init2.obj : init2.c
set.obj : set.c
set_ui.obj : set_ui.c
set_si.obj : set_si.c
set_str.obj : set_str.c
set_d.obj : set_d.c
set_z.obj : set_z.c
iset.obj : iset.c
iset_ui.obj : iset_ui.c
iset_si.obj : iset_si.c
iset_str.obj : iset_str.c
iset_d.obj : iset_d.c
clear.obj : clear.c
get_str.obj : get_str.c
dump.obj : dump.c
size.obj : size.c
eq.obj : eq.c
reldiff.obj : reldiff.c
sqrt.obj : sqrt.c
random2.obj : random2.c
inp_str.obj : inp_str.c
out_str.obj : out_str.c
add.obj : add.c
add_ui.obj : add_ui.c
sub.obj : sub.c
sub_ui.obj : sub_ui.c
ui_sub.obj : ui_sub.c
mul.obj : mul.c
mul_ui.obj : mul_ui.c
div.obj : div.c
div_ui.obj : div_ui.c
cmp.obj : cmp.c
cmp_d.obj : cmp_d.c
cmp_ui.obj : cmp_ui.c
cmp_si.obj : cmp_si.c
mul_2exp.obj : mul_2exp.c
div_2exp.obj : div_2exp.c
abs.obj : abs.c
neg.obj : neg.c
set_q.obj : set_q.c
get_d.obj : get_d.c
get_d_2exp.obj : get_d_2exp.c
set_dfl_prec.obj : set_dfl_prec.c
set_prc.obj : set_prc.c
set_prc_raw.obj : set_prc_raw.c
get_dfl_prec.obj : get_dfl_prec.c
get_prc.obj : get_prc.c
ui_div.obj : ui_div.c
sqrt_ui.obj : sqrt_ui.c
ceilfloor.obj : ceilfloor.c
trunc.obj : trunc.c
pow_ui.obj : pow_ui.c
urandomb.obj : urandomb.c
swap.obj : swap.c
fits_sint.obj : fits_sint.c
fits_slong.obj : fits_slong.c
fits_sshort.obj : fits_sshort.c
fits_uint.obj : fits_uint.c
fits_ulong.obj : fits_ulong.c
fits_ushort.obj : fits_ushort.c
get_si.obj : get_si.c
get_ui.obj : get_ui.c
int_p.obj : int_p.c
