# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 7 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/define=("__GMP_WITHIN_GMP=1")\
	/include=([],[-],[--])

OBJS=add.obj,  addmul_1.obj,addsub_n.obj,add_1.obj,\  
add_n.obj,bdivmod.obj, cmp.obj,  dc_divrem_n.obj,\
diveby3.obj, dive_1.obj,  divis.obj,divrem.obj,\ 
divrem_1.obj,divrem_2.obj,dump.obj, fib2_ui.obj,\
gcd.obj,  gcdext.obj,  gcd_1.obj,get_d.obj,\  
get_str.obj, jacbase.obj, lshift.obj,  mode1o.obj,\ 
mod_1.obj,mod_34lsub1.obj,mul.obj,  mullow_basecase.obj,\
mullow_n.obj,mul_1.obj,mul_basecase.obj,mul_fft.obj,\
mul_n.obj,perfsqr.obj,pow_1.obj,\
pre_divrem_1.obj,pre_mod_1.obj,  random.obj,  random2.obj,\
rootrem.obj, rshift.obj,  sb_divrem_mn.obj,scan0.obj,\  
scan1.obj,set_str.obj, sizeinbase.obj, sqrtrem.obj,\
sqr_basecase.obj,sub.obj,  submul_1.obj,sub_1.obj,\  
sub_n.obj,tdiv_qr.obj,popcount.obj,hamdist.obj

all : [--]libgmp_generic.olb
	@ write sys$output "all done in [.mpn.generic]"

[--]libgmp_generic.olb : $(OBJS)
	library/create [--]libgmp_generic.olb $(OBJS)

$(OBJS) : [--]config.h [--]gmp.h [--]fib_table.h [--]mp_bases.h [-]perfsqr.h

add.obj : add.c
addmul_1.obj : addmul_1.c
addsub_n.obj : addsub_n.c
add_1.obj : add_1.c
add_n.obj : add_n.c
bdivmod.obj : bdivmod.c
cmp.obj : cmp.c
dc_divrem_n.obj : dc_divrem_n.c
diveby3.obj : diveby3.c
dive_1.obj : dive_1.c
divis.obj : divis.c
divrem.obj : divrem.c
divrem_1.obj : divrem_1.c
divrem_2.obj : divrem_2.c
dump.obj : dump.c
fib2_ui.obj : fib2_ui.c
gcd.obj : gcd.c
gcdext.obj : gcdext.c
gcd_1.obj : gcd_1.c
get_d.obj : get_d.c
get_str.obj : get_str.c
jacbase.obj : jacbase.c
lshift.obj : lshift.c
mode1o.obj : mode1o.c
mod_1.obj : mod_1.c
mod_34lsub1.obj : mod_34lsub1.c
mul.obj : mul.c
mullow_basecase.obj : mullow_basecase.c
mullow_n.obj : mullow_n.c
mul_1.obj : mul_1.c
mul_basecase.obj : mul_basecase.c
mul_fft.obj : mul_fft.c
mul_n.obj : mul_n.c
perfsqr.obj : perfsqr.c
pow_1.obj : pow_1.c
pre_divrem_1.obj : pre_divrem_1.c 
pre_mod_1.obj : pre_mod_1.c
rpre_divrem_1.andom.obj : random.c
random2.obj : random2.c
rootrem.obj : rootrem.c
rshift.obj : rshift.c
sb_divrem_mn.obj : sb_divrem_mn.c
scan0.obj : scan0.c
scan1.obj : scan1.c
set_str.obj : set_str.c
sizeinbase.obj : sizeinbase.c
sqrtrem.obj : sqrtrem.c
sqr_basecase.obj : sqr_basecase.c
sub.obj : sub.c
submul_1.obj : submul_1.c
sub_1.obj : sub_1.c
sub_n.obj : sub_n.c
tdiv_qr.obj : tdiv_qr.c
udiv_w_sdiv.obj : udiv_w_sdiv.c
	cc $(CFLAGS)/nowarn udiv_w_sdiv.c
hamdist.obj : popham.c
	copy popham.c hamdist.c
	cc $(CFLAGS)/define=("__GMP_WITHIN_GMP=1","OPERATION_hamdist=1")\
	/object=hamdist.obj hamdist.c
	del hamdist.c;*
popcount.obj : popham.c
	cc $(CFLAGS)/define=("__GMP_WITHIN_GMP=1","OPERATION_popcount=1")\
	/obj=popcount.obj popham.c
