# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 4 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/define=("__GMP_WITHIN_GMP=1")\
	/include=([],[-])

OBJS=abs.obj,aors.obj,canonicalize.obj,\
	clear.obj,cmp.obj,cmp_si.obj,cmp_ui.obj,\
	div.obj,get_d.obj,get_den.obj,get_num.obj,\
	get_str.obj,init.obj,inp_str.obj,inv.obj,\
	md_2exp.obj,mul.obj,neg.obj,out_str.obj,\
	set.obj,set_den.obj,set_num.obj,set_si.obj,\
	set_str.obj,set_ui.obj,equal.obj,set_z.obj,\
	set_d.obj,set_f.obj,swap.obj

all : [-]libgmp_mpq.olb
	@ write sys$output "all done in [.mpq]"

[-]libgmp_mpq.olb : $(OBJS)
	library/create [-]libgmp_mpq.olb $(OBJS)

$(OBJS) : [-]config.h [-]gmp.h [-]fib_table.h [-]mp_bases.h

abs.obj : abs.c
aors.obj : aors.c
canonicalize.obj : canonicalize.c
clear.obj : clear.c
cmp.obj : cmp.c
cmp_si.obj : cmp_si.c
cmp_ui.obj : cmp_ui.c
div.obj : div.c
get_d.obj : get_d.c
get_den.obj : get_den.c
get_num.obj : get_num.c
get_str.obj : get_str.c
init.obj : init.c
inp_str.obj : inp_str.c
inv.obj : inv.c
md_2exp.obj : md_2exp.c
mul.obj : mul.c
neg.obj : neg.c
out_str.obj : out_str.c
set.obj : set.c
set_den.obj : set_den.c
set_num.obj : set_num.c
set_si.obj : set_si.c
set_str.obj : set_str.c
set_ui.obj : set_ui.c
equal.obj : equal.c
set_z.obj : set_z.c
set_d.obj : set_d.c
set_f.obj : set_f.c
swap.obj : swap.c
