# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 4 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/define=("__GMP_WITHIN_GMP=1")\
	/include=([],[-])

OBJS=abs.obj,add.obj,add_ui.obj,\
	aorsmul.obj,aorsmul_i.obj,and.obj,\
	array_init.obj,bin_ui.obj,bin_uiui.obj,\
	cdiv_q.obj,cdiv_q_ui.obj,cdiv_qr.obj,\
	cdiv_qr_ui.obj,cdiv_r.obj,cdiv_r_ui.obj,\
	cdiv_ui.obj,cfdiv_q_2exp.obj,cfdiv_r_2exp.obj,\
	clear.obj,clrbit.obj,cmp.obj,cmp_d.obj,\
	cmp_si.obj,cmp_ui.obj,cmpabs.obj,\
	cmpabs_d.obj,cmpabs_ui.obj,com.obj,\
	combit.obj,cong.obj,cong_2exp.obj,\
	cong_ui.obj,divexact.obj,divegcd.obj,\
	dive_ui.obj,divis.obj,divis_ui.obj,\
	divis_2exp.obj,dump.obj,export.obj,\
	fac_ui.obj,fdiv_q.obj,fdiv_q_ui.obj,\
	fdiv_qr.obj,fdiv_qr_ui.obj,fdiv_r.obj,\
	fdiv_r_ui.obj,fdiv_ui.obj,fib_ui.obj,\
	fib2_ui.obj,fits_sint.obj,fits_slong.obj,\
	fits_sshort.obj,fits_uint.obj,fits_ulong.obj,\
	fits_ushort.obj,gcd.obj,gcd_ui.obj

OBJS1=gcdext.obj,get_d.obj,get_d_2exp.obj,\
	get_si.obj,get_str.obj,get_ui.obj,\
	getlimbn.obj,hamdist.obj,import.obj,\
	init.obj,init2.obj,inp_raw.obj,inp_str.obj,\
	invert.obj,ior.obj,iset.obj,iset_d.obj,\
	iset_si.obj,iset_str.obj,iset_ui.obj,\
	jacobi.obj,kronsz.obj,kronuz.obj,\
	kronzs.obj,kronzu.obj,lcm.obj,lcm_ui.obj,\
	lucnum_ui.obj,lucnum2_ui.obj,millerrabin.obj

OBJS2=mod.obj,mul.obj,mul_2exp.obj,mul_si.obj,\
	mul_ui.obj,n_pow_ui.obj,neg.obj,\
	nextprime.obj,out_raw.obj,out_str.obj,\
	perfpow.obj,perfsqr.obj,popcount.obj,\
	pow_ui.obj,powm.obj,powm_ui.obj,\
	pprime_p.obj,random.obj,random2.obj,\
	realloc.obj,realloc2.obj,remove.obj,\
	root.obj,rootrem.obj,rrandomb.obj,\
	scan0.obj,scan1.obj,set.obj,set_d.obj,\
	set_f.obj,set_q.obj,set_si.obj,set_str.obj,\
	set_ui.obj,setbit.obj,size.obj,\
	sizeinbase.obj,sqrt.obj,sqrtrem.obj,\
	sub.obj,sub_ui.obj,swap.obj,tdiv_ui.obj,\
	tdiv_q.obj,tdiv_q_2exp.obj,tdiv_q_ui.obj,\
	tdiv_qr.obj,tdiv_qr_ui.obj,tdiv_r.obj,\
	tdiv_r_2exp.obj,tdiv_r_ui.obj,tstbit.obj,\
	ui_pow_ui.obj,ui_sub.obj,urandomb.obj,\
	urandomm.obj,xor.obj

all : [-]libgmp_mpz.olb
	@ write sys$output "all done in [.mpz]"

[-]libgmp_mpz.olb : $(OBJS) $(OBJS1) $(OBJS2)
	library/create [-]libgmp_mpz.olb $(OBJS)
	library [-]libgmp_mpz.olb $(OBJS1)
	library [-]libgmp_mpz.olb $(OBJS2)

$(OBJS) : fac_ui.h [-]config.h [-]gmp.h [-]fib_table.h [-]mp_bases.h
$(OBJS1) : fac_ui.h [-]config.h [-]gmp.h [-]fib_table.h [-]mp_bases.h
$(OBJS2) : fac_ui.h [-]config.h [-]gmp.h [-]fib_table.h [-]mp_bases.h

abs.obj : abs.c
add.obj : add.c
add_ui.obj : add_ui.c
aorsmul.obj : aorsmul.c
aorsmul_i.obj : aorsmul_i.c
and.obj : and.c
array_init.obj : array_init.c
bin_ui.obj : bin_ui.c
bin_uiui.obj : bin_uiui.c
cdiv_q.obj : cdiv_q.c
cdiv_q_ui.obj : cdiv_q_ui.c
cdiv_qr.obj : cdiv_qr.c
cdiv_qr_ui.obj : cdiv_qr_ui.c
cdiv_r.obj : cdiv_r.c
cdiv_r_ui.obj : cdiv_r_ui.c
cdiv_ui.obj : cdiv_ui.c
cfdiv_q_2exp.obj : cfdiv_q_2exp.c
cfdiv_r_2exp.obj : cfdiv_r_2exp.c
clear.obj : clear.c
clrbit.obj : clrbit.c
cmp.obj : cmp.c
cmp_d.obj : cmp_d.c
cmp_si.obj : cmp_si.c
cmp_ui.obj : cmp_ui.c
cmpabs.obj : cmpabs.c
cmpabs_d.obj : cmpabs_d.c
cmpabs_ui.obj : cmpabs_ui.c
com.obj : com.c
combit.obj : combit.c
cong.obj : cong.c
cong_2exp.obj : cong_2exp.c
cong_ui.obj : cong_ui.c
divexact.obj : divexact.c
divegcd.obj : divegcd.c
dive_ui.obj : dive_ui.c
divis.obj : divis.c
divis_ui.obj : divis_ui.c
divis_2exp.obj : divis_2exp.c
dump.obj : dump.c
export.obj : export.c
fac_ui.obj : fac_ui.c
fdiv_q.obj : fdiv_q.c
fdiv_q_ui.obj : fdiv_q_ui.c
fdiv_qr.obj : fdiv_qr.c
fdiv_qr_ui.obj : fdiv_qr_ui.c
fdiv_r.obj : fdiv_r.c
fdiv_r_ui.obj : fdiv_r_ui.c
fdiv_ui.obj : fdiv_ui.c
fib_ui.obj : fib_ui.c
fib2_ui.obj : fib2_ui.c
fits_sint.obj : fits_sint.c
fits_slong.obj : fits_slong.c
fits_sshort.obj : fits_sshort.c
fits_uint.obj : fits_uint.c
fits_ulong.obj : fits_ulong.c
fits_ushort.obj : fits_ushort.c
gcd.obj : gcd.c
gcd_ui.obj : gcd_ui.c
gcdext.obj : gcdext.c
get_d.obj : get_d.c
get_d_2exp.obj : get_d_2exp.c
get_si.obj : get_si.c
get_str.obj : get_str.c
get_ui.obj : get_ui.c
getlimbn.obj : getlimbn.c
hamdist.obj : hamdist.c
import.obj : import.c
init.obj : init.c
init2.obj : init2.c
inp_raw.obj : inp_raw.c
inp_str.obj : inp_str.c
	cc $(CFLAGS)/nowarn inp_str.c
invert.obj : invert.c
ior.obj : ior.c
iset.obj : iset.c
iset_d.obj : iset_d.c
iset_si.obj : iset_si.c
iset_str.obj : iset_str.c
iset_ui.obj : iset_ui.c
jacobi.obj : jacobi.c
kronsz.obj : kronsz.c
kronuz.obj : kronuz.c
kronzs.obj : kronzs.c
kronzu.obj : kronzu.c
lcm.obj : lcm.c
lcm_ui.obj : lcm_ui.c
lucnum_ui.obj : lucnum_ui.c
lucnum2_ui.obj : lucnum2_ui.c
millerrabin.obj : millerrabin.c
mod.obj : mod.c
mul.obj : mul.c
mul_2exp.obj : mul_2exp.c
mul_si.obj : mul_si.c
mul_ui.obj : mul_ui.c
n_pow_ui.obj : n_pow_ui.c
neg.obj : neg.c
nextprime.obj : nextprime.c
out_raw.obj : out_raw.c
out_str.obj : out_str.c
perfpow.obj : perfpow.c
perfsqr.obj : perfsqr.c
popcount.obj : popcount.c
pow_ui.obj : pow_ui.c
powm.obj : powm.c
powm_ui.obj : powm_ui.c
pprime_p.obj : pprime_p.c
random.obj : random.c
random2.obj : random2.c
realloc.obj : realloc.c
realloc2.obj : realloc2.c
remove.obj : remove.c
root.obj : root.c
rootrem.obj : rootrem.c
rrandomb.obj : rrandomb.c
scan0.obj : scan0.c
scan1.obj : scan1.c
set.obj : set.c
set_d.obj : set_d.c
set_f.obj : set_f.c
set_q.obj : set_q.c
set_si.obj : set_si.c
set_str.obj : set_str.c
set_ui.obj : set_ui.c
setbit.obj : setbit.c
size.obj : size.c
sizeinbase.obj : sizeinbase.c
sqrt.obj : sqrt.c
sqrtrem.obj : sqrtrem.c
sub.obj : sub.c
sub_ui.obj : sub_ui.c
swap.obj : swap.c
tdiv_ui.obj : tdiv_ui.c
tdiv_q.obj : tdiv_q.c
tdiv_q_2exp.obj : tdiv_q_2exp.c
tdiv_q_ui.obj : tdiv_q_ui.c
tdiv_qr.obj : tdiv_qr.c
tdiv_qr_ui.obj : tdiv_qr_ui.c
tdiv_r.obj : tdiv_r.c
tdiv_r_2exp.obj : tdiv_r_2exp.c
tdiv_r_ui.obj : tdiv_r_ui.c
tstbit.obj : tstbit.c
ui_pow_ui.obj : ui_pow_ui.c
ui_sub.obj : ui_sub.c
urandomb.obj : urandomb.c
urandomm.obj : urandomm.c
xor.obj : xor.c
