# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 4 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/define=("__GMP_WITHIN_GMP=1")\
	/include=([],[-])

OBJS=asprintf.obj,asprntffuns.obj,\
	doprnt.obj,doprntf.obj,doprnti.obj,\
	fprintf.obj,obprintf.obj,obvprintf.obj,\
	obprntffuns.obj,printf.obj,\
	printffuns.obj,snprintf.obj,\
	snprntffuns.obj,sprintf.obj,\
	sprintffuns.obj,vasprintf.obj,\
	vfprintf.obj,vprintf.obj,vsnprintf.obj,\
	vsprintf.obj,repl-vsnprintf.obj

all : [-]libgmp_printf.olb
	@ write sys$output "all done in [.printf]"

[-]libgmp_printf.olb : $(OBJS)
	library/create [-]libgmp_printf.olb $(OBJS)

$(OBJS) : [-]config.h [-]gmp.h [-]fib_table.h [-]mp_bases.h

asprintf.obj : asprintf.c
asprntffuns.obj : asprntffuns.c
doprnt.obj : doprnt.c
doprntf.obj : doprntf.c
doprnti.obj : doprnti.c
fprintf.obj : fprintf.c
obprintf.obj : obprintf.c
	cc $(CFLAGS)/nowarn obprintf.c
obvprintf.obj : obvprintf.c
	cc $(CFLAGS)/nowarn obvprintf.c
obprntffuns.obj : obprntffuns.c
	cc $(CFLAGS)/nowarn obprntffuns.c
printf.obj : printf.c
printffuns.obj : printffuns.c
snprintf.obj : snprintf.c
snprntffuns.obj : snprntffuns.c
sprintf.obj : sprintf.c
sprintffuns.obj : sprintffuns.c
vasprintf.obj : vasprintf.c
vfprintf.obj : vfprintf.c
vprintf.obj : vprintf.c
vsnprintf.obj : vsnprintf.c
vsprintf.obj : vsprintf.c
repl-vsnprintf.obj : repl-vsnprintf.c
	cc $(CFLAGS)/nowarn repl-vsnprintf.c
