# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 7 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/include=([],[-])


all :
	$(MMS)$(MMSQUALIFIERS) t-bswap
	$(MMS)$(MMSQUALIFIERS) t-constants
	$(MMS)$(MMSQUALIFIERS) t-count_zeros
	$(MMS)$(MMSQUALIFIERS) t-gmpmax
	$(MMS)$(MMSQUALIFIERS) t-hightomask
	$(MMS)$(MMSQUALIFIERS) t-modlinv
	$(MMS)$(MMSQUALIFIERS) t-parity
	$(MMS)$(MMSQUALIFIERS) t-popc
	$(MMS)$(MMSQUALIFIERS) t-sub
	set default [.mpf]
	$(MMS)$(MMSQUALIFIERS)
	set default [-.mpq]
	$(MMS)$(MMSQUALIFIERS)
	set default [-.mpz]
	$(MMS)$(MMSQUALIFIERS)
	set default [-.mpn]
	$(MMS)$(MMSQUALIFIERS)
	set default [-.misc]
	$(MMS)$(MMSQUALIFIERS)
	set default [-.rand]
	$(MMS)$(MMSQUALIFIERS)
	set default [-.mpbsd]
	$(MMS)$(MMSQUALIFIERS)
	set default [-]
	@ write sys$output "all tests performed"

libgmp.exe : [-]libgmp.exe
	cop  [-]libgmp.exe []libgmp.exe

t-bswap : t-bswap.exe
	mc []t-bswap

t-bswap.exe : t-bswap.obj misc.obj memory.obj trace.obj refmpn.obj libgmp.exe \
	link_vms.opt
	link t-bswap.obj,misc,memory,trace,refmpn,link_vms/opt

t-bswap.obj : t-bswap.c [-]gmp.h [-]gmp-impl.h

t-constants : t-constants.exe
	mc []t-constants

t-constants.exe : t-constants.obj misc.obj memory.obj trace.obj refmpn.obj libgmp.exe \
	link_vms.opt
	link t-constants.obj,misc,memory,trace,refmpn,link_vms/opt

t-constants.obj : t-constants.c [-]gmp.h [-]gmp-impl.h
	cc $(CFLAGS)/nowarn t-constants.c

t-count_zeros : t-count_zeros.exe
	mc []t-count_zeros

t-count_zeros.exe : t-count_zeros.obj misc.obj memory.obj trace.obj refmpn.obj libgmp.exe \
	link_vms.opt
	link t-count_zeros.obj,misc,memory,trace,refmpn,link_vms/opt

t-count_zeros.obj : t-count_zeros.c [-]gmp.h [-]gmp-impl.h

t-gmpmax : t-gmpmax.exe
	mc []t-gmpmax

t-gmpmax.exe : t-gmpmax.obj misc.obj memory.obj trace.obj refmpn.obj libgmp.exe \
	link_vms.opt
	link t-gmpmax.obj,misc,memory,trace,refmpn,link_vms/opt

t-gmpmax.obj : t-gmpmax.c [-]gmp.h [-]gmp-impl.h
	cc $(CFLAGS)/nowarn t-gmpmax.c

t-hightomask : t-hightomask.exe
	mc []t-hightomask

t-hightomask.exe : t-hightomask.obj misc.obj memory.obj trace.obj refmpn.obj libgmp.exe \
	link_vms.opt
	link t-hightomask.obj,misc,memory,trace,refmpn,link_vms/opt

t-hightomask.obj : t-hightomask.c [-]gmp.h [-]gmp-impl.h

t-modlinv : t-modlinv.exe
	mc []t-modlinv

t-modlinv.exe : t-modlinv.obj misc.obj memory.obj trace.obj refmpn.obj libgmp.exe \
	link_vms.opt
	link t-modlinv.obj,misc,memory,trace,refmpn,link_vms/opt

t-modlinv.obj : t-modlinv.c [-]gmp.h [-]gmp-impl.h

t-parity : t-parity.exe
	mc []t-parity

t-parity.exe : t-parity.obj misc.obj memory.obj trace.obj refmpn.obj libgmp.exe \
	link_vms.opt
	link t-parity.obj,misc,memory,trace,refmpn,link_vms/opt

t-parity.obj : t-parity.c [-]gmp.h [-]gmp-impl.h

t-popc : t-popc.exe
	mc []t-popc

t-popc.exe : t-popc.obj misc.obj memory.obj trace.obj refmpn.obj libgmp.exe \
	link_vms.opt
	link t-popc.obj,misc,memory,trace,refmpn,link_vms/opt

t-popc.obj : t-popc.c [-]gmp.h [-]gmp-impl.h

t-sub : t-sub.exe
	mc []t-sub

t-sub.exe : t-sub.obj misc.obj memory.obj trace.obj refmpn.obj libgmp.exe \
	link_vms.opt
	link t-sub.obj,misc,memory,trace,refmpn,link_vms/opt

t-sub.obj : t-sub.c [-]gmp.h [-]gmp-impl.h

misc.obj : misc.c [-]gmp.h [-]gmp-impl.h

memory.obj : memory.c [-]gmp.h [-]gmp-impl.h

trace.obj : trace.c [-]gmp.h [-]gmp-impl.h

refmpn.obj : refmpn.c [-]gmp.h [-]gmp-impl.h
