# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 10 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/include=([],[-],[--])


all :
	$(MMS)$(MMSQUALIFIERS) t-add
	$(MMS)$(MMSQUALIFIERS) t-cmp_d
	$(MMS)$(MMSQUALIFIERS) t-cmp_si
	$(MMS)$(MMSQUALIFIERS) t-conv
	$(MMS)$(MMSQUALIFIERS) t-div
	$(MMS)$(MMSQUALIFIERS) t-dm2exp
	$(MMS)$(MMSQUALIFIERS) t-fits
	$(MMS)$(MMSQUALIFIERS) t-get_d
	$(MMS)$(MMSQUALIFIERS) t-get_d_2exp
	$(MMS)$(MMSQUALIFIERS) t-get_si
	$(MMS)$(MMSQUALIFIERS) t-get_ui
	$(MMS)$(MMSQUALIFIERS) t-gsprec
	$(MMS)$(MMSQUALIFIERS) t-inp_str
	$(MMS)$(MMSQUALIFIERS) t-int_p
	$(MMS)$(MMSQUALIFIERS) t-muldiv
	$(MMS)$(MMSQUALIFIERS) t-mul_ui
	$(MMS)$(MMSQUALIFIERS) t-set
	$(MMS)$(MMSQUALIFIERS) t-set_q
	$(MMS)$(MMSQUALIFIERS) t-set_si
	$(MMS)$(MMSQUALIFIERS) t-set_ui
	$(MMS)$(MMSQUALIFIERS) t-sqrt
	$(MMS)$(MMSQUALIFIERS) t-sqrt_ui
	$(MMS)$(MMSQUALIFIERS) t-sub
	$(MMS)$(MMSQUALIFIERS) t-trunc
	$(MMS)$(MMSQUALIFIERS) t-ui_div
	$(MMS)$(MMSQUALIFIERS) reuse
	@ write sys$output "all tests performed in [.mpf]"

libgmp.exe : [--]libgmp.exe
	cop  [--]libgmp.exe []libgmp.exe

t-add : t-add.exe
	mc []t-add

t-add.exe : t-add.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-add.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-add.obj : t-add.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cmp_d : t-cmp_d.exe
	mc []t-cmp_d

t-cmp_d.exe : t-cmp_d.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-cmp_d.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-cmp_d.obj : t-cmp_d.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cmp_si : t-cmp_si.exe
	mc []t-cmp_si

t-cmp_si.exe : t-cmp_si.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-cmp_si.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-cmp_si.obj : t-cmp_si.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-conv : t-conv.exe
	mc []t-conv

t-conv.exe : t-conv.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-conv.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-conv.obj : t-conv.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-div : t-div.exe
	mc []t-div

t-div.exe : t-div.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-div.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-div.obj : t-div.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-dm2exp : t-dm2exp.exe
	mc []t-dm2exp

t-dm2exp.exe : t-dm2exp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-dm2exp.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-dm2exp.obj : t-dm2exp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-fits : t-fits.exe
	mc []t-fits

t-fits.exe : t-fits.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-fits.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-fits.obj : t-fits.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_d : t-get_d.exe
	mc []t-get_d

t-get_d.exe : t-get_d.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-get_d.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-get_d.obj : t-get_d.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_d_2exp : t-get_d_2exp.exe
	mc []t-get_d_2exp

t-get_d_2exp.exe : t-get_d_2exp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-get_d_2exp.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-get_d_2exp.obj : t-get_d_2exp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_si : t-get_si.exe
	mc []t-get_si

t-get_si.exe : t-get_si.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-get_si.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-get_si.obj : t-get_si.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_ui : t-get_ui.exe
	mc []t-get_ui

t-get_ui.exe : t-get_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-get_ui.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-get_ui.obj : t-get_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-gsprec : t-gsprec.exe
	mc []t-gsprec

t-gsprec.exe : t-gsprec.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-gsprec.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-gsprec.obj : t-gsprec.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-inp_str : t-inp_str.exe
	mc []t-inp_str

t-inp_str.exe : t-inp_str.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-inp_str.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-inp_str.obj : t-inp_str.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-int_p : t-int_p.exe
	mc []t-int_p

t-int_p.exe : t-int_p.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-int_p.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-int_p.obj : t-int_p.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-muldiv : t-muldiv.exe
	mc []t-muldiv

t-muldiv.exe : t-muldiv.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-muldiv.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-muldiv.obj : t-muldiv.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-mul_ui : t-mul_ui.exe
	mc []t-mul_ui

t-mul_ui.exe : t-mul_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-mul_ui.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-mul_ui.obj : t-mul_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set : t-set.exe
	mc []t-set

t-set.exe : t-set.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-set.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-set.obj : t-set.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set_q : t-set_q.exe
	mc []t-set_q

t-set_q.exe : t-set_q.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-set_q.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-set_q.obj : t-set_q.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set_si : t-set_si.exe
	mc []t-set_si

t-set_si.exe : t-set_si.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-set_si.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-set_si.obj : t-set_si.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set_ui : t-set_ui.exe
	mc []t-set_ui

t-set_ui.exe : t-set_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-set_ui.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-set_ui.obj : t-set_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-sqrt : t-sqrt.exe
	mc []t-sqrt

t-sqrt.exe : t-sqrt.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-sqrt.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-sqrt.obj : t-sqrt.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-sqrt_ui : t-sqrt_ui.exe
	mc []t-sqrt_ui

t-sqrt_ui.exe : t-sqrt_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-sqrt_ui.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-sqrt_ui.obj : t-sqrt_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-sub : t-sub.exe
	mc []t-sub

t-sub.exe : t-sub.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-sub.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-sub.obj : t-sub.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-trunc : t-trunc.exe
	mc []t-trunc

t-trunc.exe : t-trunc.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-trunc.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-trunc.obj : t-trunc.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-ui_div : t-ui_div.exe
	mc []t-ui_div

t-ui_div.exe : t-ui_div.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link t-ui_div.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

t-ui_div.obj : t-ui_div.c [-]tests.h [--]gmp.h [--]gmp-impl.h

reuse : reuse.exe
	mc []reuse

reuse.exe : reuse.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpf.obj [-]link_vms.opt
	link reuse.obj,[-]misc,memory,trace,refmpn,refmpf,link_vms/opt

reuse.obj : reuse.c [-]tests.h [--]gmp.h [--]gmp-impl.h

[-]refmpf.obj : [-]refmpf.c
	cc $(CFLAGS) /object=[-]refmpf.obj [-]refmpf.c
