# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 7 March 2008

.first
	define mpn [--.mpn]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/include=([],[-],[--])


all :
	$(MMS)$(MMSQUALIFIERS) t-aors_1
	$(MMS)$(MMSQUALIFIERS) t-asmtype
	$(MMS)$(MMSQUALIFIERS) t-divrem_1
	$(MMS)$(MMSQUALIFIERS) t-fat
	$(MMS)$(MMSQUALIFIERS) t-get_d
	$(MMS)$(MMSQUALIFIERS) t-instrument
	$(MMS)$(MMSQUALIFIERS) t-iord_u
	$(MMS)$(MMSQUALIFIERS) t-mp_bases
	$(MMS)$(MMSQUALIFIERS) t-perfsqr
	$(MMS)$(MMSQUALIFIERS) t-scan
	@ write sys$output "all tests performed in [.mpn]"

libgmp.exe : [--]libgmp.exe
	cop  [--]libgmp.exe []libgmp.exe

t-aors_1 : t-aors_1.exe
	mc []t-aors_1

t-aors_1.exe : t-aors_1.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-aors_1.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-aors_1.obj : t-aors_1.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-asmtype : t-asmtype.exe
	mc []t-asmtype

t-asmtype.exe : t-asmtype.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-asmtype.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-asmtype.obj : t-asmtype.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-divrem_1 : t-divrem_1.exe
	mc []t-divrem_1

t-divrem_1.exe : t-divrem_1.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-divrem_1.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-divrem_1.obj : t-divrem_1.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-fat : t-fat.exe
	mc []t-fat

t-fat.exe : t-fat.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-fat.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-fat.obj : t-fat.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_d : t-get_d.exe
	mc []t-get_d

t-get_d.exe : t-get_d.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-get_d.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-get_d.obj : t-get_d.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-instrument : t-instrument.exe
	mc []t-instrument

t-instrument.exe : t-instrument.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-instrument.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-instrument.obj : t-instrument.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-iord_u : t-iord_u.exe
	mc []t-iord_u

t-iord_u.exe : t-iord_u.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-iord_u.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-iord_u.obj : t-iord_u.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-mp_bases : t-mp_bases.exe
	mc []t-mp_bases

t-mp_bases.exe : t-mp_bases.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-mp_bases.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-mp_bases.obj : t-mp_bases.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-perfsqr : t-perfsqr.exe
	mc []t-perfsqr

t-perfsqr.exe : t-perfsqr.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-perfsqr.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-perfsqr.obj : t-perfsqr.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-scan : t-scan.exe
	mc []t-scan

t-scan.exe : t-scan.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-scan.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-scan.obj : t-scan.c [-]tests.h [--]gmp.h [--]gmp-impl.h
