# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 7 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/include=([],[-],[--])


all :
	$(MMS)$(MMSQUALIFIERS) t-aors
	$(MMS)$(MMSQUALIFIERS) t-cmp
	$(MMS)$(MMSQUALIFIERS) t-cmp_si
	$(MMS)$(MMSQUALIFIERS) t-cmp_ui
	$(MMS)$(MMSQUALIFIERS) t-equal
	$(MMS)$(MMSQUALIFIERS) t-get_d
	$(MMS)$(MMSQUALIFIERS) t-get_str
	$(MMS)$(MMSQUALIFIERS) t-inp_str
	$(MMS)$(MMSQUALIFIERS) t-md_2exp
	$(MMS)$(MMSQUALIFIERS) t-set_f
	$(MMS)$(MMSQUALIFIERS) t-set_str
	@ write sys$output "all tests performed in [.mpq]"

libgmp.exe : [--]libgmp.exe
	cop  [--]libgmp.exe []libgmp.exe

t-aors : t-aors.exe
	mc []t-aors

t-aors.exe : t-aors.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-aors.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-aors.obj : t-aors.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cmp : t-cmp.exe
	mc []t-cmp

t-cmp.exe : t-cmp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-cmp.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-cmp.obj : t-cmp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cmp_si : t-cmp_si.exe
	mc []t-cmp_si

t-cmp_si.exe : t-cmp_si.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-cmp_si.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-cmp_si.obj : t-cmp_si.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cmp_ui : t-cmp_ui.exe
	mc []t-cmp_ui

t-cmp_ui.exe : t-cmp_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-cmp_ui.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-cmp_ui.obj : t-cmp_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-equal : t-equal.exe
	mc []t-equal

t-equal.exe : t-equal.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-equal.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-equal.obj : t-equal.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_d : t-get_d.exe
	mc []t-get_d

t-get_d.exe : t-get_d.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-get_d.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-get_d.obj : t-get_d.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_str : t-get_str.exe
	mc []t-get_str

t-get_str.exe : t-get_str.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-get_str.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-get_str.obj : t-get_str.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-inp_str : t-inp_str.exe
	mc []t-inp_str

t-inp_str.exe : t-inp_str.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-inp_str.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-inp_str.obj : t-inp_str.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-md_2exp : t-md_2exp.exe
	mc []t-md_2exp

t-md_2exp.exe : t-md_2exp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-md_2exp.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-md_2exp.obj : t-md_2exp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set_f : t-set_f.exe
	mc []t-set_f

t-set_f.exe : t-set_f.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-set_f.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-set_f.obj : t-set_f.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set_str : t-set_str.exe
	mc []t-set_str

t-set_str.exe : t-set_str.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpq.obj [-]link_vms.opt
	link t-set_str.obj,[-]misc,memory,trace,refmpn,refmpq,link_vms/opt

t-set_str.obj : t-set_str.c [-]tests.h [--]gmp.h [--]gmp-impl.h

[-]refmpq.obj : [-]refmpq.c
	cc $(CFLAGS) /object=[-]refmpq.obj [-]refmpq.c
