# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 7 March 2008

.first
	define mpn [--.mpn]

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/include=([],[-],[--])


all :
	$(MMS)$(MMSQUALIFIERS) t-addsub
	$(MMS)$(MMSQUALIFIERS) t-aorsmul
	$(MMS)$(MMSQUALIFIERS) t-bin
	$(MMS)$(MMSQUALIFIERS) t-cdiv_ui
	$(MMS)$(MMSQUALIFIERS) t-cmp
	$(MMS)$(MMSQUALIFIERS) t-cmp_d
	$(MMS)$(MMSQUALIFIERS) t-cmp_si
	$(MMS)$(MMSQUALIFIERS) t-cong
	$(MMS)$(MMSQUALIFIERS) t-cong_2exp
	$(MMS)$(MMSQUALIFIERS) t-divis
	$(MMS)$(MMSQUALIFIERS) t-divis_2exp
	$(MMS)$(MMSQUALIFIERS) t-div_2exp
	$(MMS)$(MMSQUALIFIERS) t-export
	$(MMS)$(MMSQUALIFIERS) t-fac_ui
	$(MMS)$(MMSQUALIFIERS) t-fdiv
	$(MMS)$(MMSQUALIFIERS) t-fdiv_ui
	$(MMS)$(MMSQUALIFIERS) t-fib_ui
	$(MMS)$(MMSQUALIFIERS) t-fits
	$(MMS)$(MMSQUALIFIERS) t-gcd
	$(MMS)$(MMSQUALIFIERS) t-gcd_ui
	$(MMS)$(MMSQUALIFIERS) t-get_d
	$(MMS)$(MMSQUALIFIERS) t-get_d_2exp
	$(MMS)$(MMSQUALIFIERS) t-get_si
	$(MMS)$(MMSQUALIFIERS) t-hamdist
	$(MMS)$(MMSQUALIFIERS) t-import
	$(MMS)$(MMSQUALIFIERS) t-inp_str
	$(MMS)$(MMSQUALIFIERS) t-io_raw
	$(MMS)$(MMSQUALIFIERS) t-jac
	$(MMS)$(MMSQUALIFIERS) t-lcm
	$(MMS)$(MMSQUALIFIERS) t-lucnum_ui
	$(MMS)$(MMSQUALIFIERS) t-mul
	$(MMS)$(MMSQUALIFIERS) t-mul_i
	$(MMS)$(MMSQUALIFIERS) t-oddeven
	$(MMS)$(MMSQUALIFIERS) t-perfsqr
	$(MMS)$(MMSQUALIFIERS) t-popcount
	$(MMS)$(MMSQUALIFIERS) t-pow
	$(MMS)$(MMSQUALIFIERS) t-powm
	$(MMS)$(MMSQUALIFIERS) t-powm_ui
	$(MMS)$(MMSQUALIFIERS) t-pprime_p
	$(MMS)$(MMSQUALIFIERS) t-root
	$(MMS)$(MMSQUALIFIERS) t-scan
	$(MMS)$(MMSQUALIFIERS) t-set_d
	$(MMS)$(MMSQUALIFIERS) t-set_f
	$(MMS)$(MMSQUALIFIERS) t-set_si
	$(MMS)$(MMSQUALIFIERS) t-set_str
	$(MMS)$(MMSQUALIFIERS) t-sizeinbase
	$(MMS)$(MMSQUALIFIERS) t-sqrtrem
	$(MMS)$(MMSQUALIFIERS) t-tdiv
	$(MMS)$(MMSQUALIFIERS) t-tdiv_ui
	$(MMS)$(MMSQUALIFIERS) bit
	$(MMS)$(MMSQUALIFIERS) convert
	$(MMS)$(MMSQUALIFIERS) dive
	$(MMS)$(MMSQUALIFIERS) dive_ui
	$(MMS)$(MMSQUALIFIERS) io
	$(MMS)$(MMSQUALIFIERS) logic
	$(MMS)$(MMSQUALIFIERS) reuse
	@ write sys$output "all tests performed in [.mpz]"

libgmp.exe : [--]libgmp.exe
	cop  [--]libgmp.exe []libgmp.exe

t-addsub : t-addsub.exe
	mc []t-addsub

t-addsub.exe : t-addsub.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-addsub.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-addsub.obj : t-addsub.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-aorsmul : t-aorsmul.exe
	mc []t-aorsmul

t-aorsmul.exe : t-aorsmul.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-aorsmul.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-aorsmul.obj : t-aorsmul.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-bin : t-bin.exe
	mc []t-bin

t-bin.exe : t-bin.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-bin.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-bin.obj : t-bin.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cdiv_ui : t-cdiv_ui.exe
	mc []t-cdiv_ui

t-cdiv_ui.exe : t-cdiv_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-cdiv_ui.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-cdiv_ui.obj : t-cdiv_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cmp : t-cmp.exe
	mc []t-cmp

t-cmp.exe : t-cmp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-cmp.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-cmp.obj : t-cmp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cmp_d : t-cmp_d.exe
	mc []t-cmp_d

t-cmp_d.exe : t-cmp_d.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-cmp_d.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-cmp_d.obj : t-cmp_d.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cmp_si : t-cmp_si.exe
	mc []t-cmp_si

t-cmp_si.exe : t-cmp_si.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-cmp_si.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-cmp_si.obj : t-cmp_si.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cong : t-cong.exe
	mc []t-cong

t-cong.exe : t-cong.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-cong.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-cong.obj : t-cong.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-cong_2exp : t-cong_2exp.exe
	mc []t-cong_2exp

t-cong_2exp.exe : t-cong_2exp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-cong_2exp.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-cong_2exp.obj : t-cong_2exp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-divis : t-divis.exe
	mc []t-divis

t-divis.exe : t-divis.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-divis.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-divis.obj : t-divis.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-divis_2exp : t-divis_2exp.exe
	mc []t-divis_2exp

t-divis_2exp.exe : t-divis_2exp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-divis_2exp.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-divis_2exp.obj : t-divis_2exp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-div_2exp : t-div_2exp.exe
	mc []t-div_2exp

t-div_2exp.exe : t-div_2exp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-div_2exp.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-div_2exp.obj : t-div_2exp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-export : t-export.exe
	mc []t-export

t-export.exe : t-export.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-export.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-export.obj : t-export.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-fac_ui : t-fac_ui.exe
	mc []t-fac_ui

t-fac_ui.exe : t-fac_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-fac_ui.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-fac_ui.obj : t-fac_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-fdiv : t-fdiv.exe
	mc []t-fdiv

t-fdiv.exe : t-fdiv.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-fdiv.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-fdiv.obj : t-fdiv.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-fdiv_ui : t-fdiv_ui.exe
	mc []t-fdiv_ui

t-fdiv_ui.exe : t-fdiv_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-fdiv_ui.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-fdiv_ui.obj : t-fdiv_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-fib_ui : t-fib_ui.exe
	mc []t-fib_ui

t-fib_ui.exe : t-fib_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-fib_ui.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-fib_ui.obj : t-fib_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-fits : t-fits.exe
	mc []t-fits

t-fits.exe : t-fits.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-fits.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-fits.obj : t-fits.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-gcd : t-gcd.exe
	mc []t-gcd

t-gcd.exe : t-gcd.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-gcd.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-gcd.obj : t-gcd.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-gcd_ui : t-gcd_ui.exe
	mc []t-gcd_ui

t-gcd_ui.exe : t-gcd_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-gcd_ui.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-gcd_ui.obj : t-gcd_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_d : t-get_d.exe
	mc []t-get_d

t-get_d.exe : t-get_d.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-get_d.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-get_d.obj : t-get_d.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_d_2exp : t-get_d_2exp.exe
	mc []t-get_d_2exp

t-get_d_2exp.exe : t-get_d_2exp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-get_d_2exp.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-get_d_2exp.obj : t-get_d_2exp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-get_si : t-get_si.exe
	mc []t-get_si

t-get_si.exe : t-get_si.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-get_si.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-get_si.obj : t-get_si.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-hamdist : t-hamdist.exe
	mc []t-hamdist

t-hamdist.exe : t-hamdist.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-hamdist.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-hamdist.obj : t-hamdist.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-import : t-import.exe
	mc []t-import

t-import.exe : t-import.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-import.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-import.obj : t-import.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-inp_str : t-inp_str.exe
	mc []t-inp_str

t-inp_str.exe : t-inp_str.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-inp_str.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-inp_str.obj : t-inp_str.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-io_raw : t-io_raw.exe
	mc []t-io_raw

t-io_raw.exe : t-io_raw.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-io_raw.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-io_raw.obj : t-io_raw.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-jac : t-jac.exe
	mc []t-jac

t-jac.exe : t-jac.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-jac.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-jac.obj : t-jac.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-lcm : t-lcm.exe
	mc []t-lcm

t-lcm.exe : t-lcm.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-lcm.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-lcm.obj : t-lcm.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-lucnum_ui : t-lucnum_ui.exe
	mc []t-lucnum_ui

t-lucnum_ui.exe : t-lucnum_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-lucnum_ui.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-lucnum_ui.obj : t-lucnum_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-mul : t-mul.exe
	mc []t-mul

t-mul.exe : t-mul.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-mul.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-mul.obj : t-mul.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-mul_i : t-mul_i.exe
	mc []t-mul_i

t-mul_i.exe : t-mul_i.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-mul_i.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-mul_i.obj : t-mul_i.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-oddeven : t-oddeven.exe
	mc []t-oddeven

t-oddeven.exe : t-oddeven.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-oddeven.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-oddeven.obj : t-oddeven.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-perfsqr : t-perfsqr.exe
	mc []t-perfsqr

t-perfsqr.exe : t-perfsqr.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-perfsqr.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-perfsqr.obj : t-perfsqr.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-popcount : t-popcount.exe
	mc []t-popcount

t-popcount.exe : t-popcount.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-popcount.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-popcount.obj : t-popcount.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-pow : t-pow.exe
	mc []t-pow

t-pow.exe : t-pow.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-pow.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-pow.obj : t-pow.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-powm : t-powm.exe
	mc []t-powm

t-powm.exe : t-powm.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-powm.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-powm.obj : t-powm.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-powm_ui : t-powm_ui.exe
	mc []t-powm_ui

t-powm_ui.exe : t-powm_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-powm_ui.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-powm_ui.obj : t-powm_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-pprime_p : t-pprime_p.exe
	mc []t-pprime_p

t-pprime_p.exe : t-pprime_p.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-pprime_p.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-pprime_p.obj : t-pprime_p.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-root : t-root.exe
	mc []t-root

t-root.exe : t-root.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-root.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-root.obj : t-root.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-scan : t-scan.exe
	mc []t-scan

t-scan.exe : t-scan.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-scan.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-scan.obj : t-scan.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set_d : t-set_d.exe
	mc []t-set_d

t-set_d.exe : t-set_d.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-set_d.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-set_d.obj : t-set_d.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set_f : t-set_f.exe
	mc []t-set_f

t-set_f.exe : t-set_f.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-set_f.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-set_f.obj : t-set_f.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set_si : t-set_si.exe
	mc []t-set_si

t-set_si.exe : t-set_si.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-set_si.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-set_si.obj : t-set_si.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-set_str : t-set_str.exe
	mc []t-set_str

t-set_str.exe : t-set_str.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-set_str.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-set_str.obj : t-set_str.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-sizeinbase : t-sizeinbase.exe
	mc []t-sizeinbase

t-sizeinbase.exe : t-sizeinbase.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-sizeinbase.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-sizeinbase.obj : t-sizeinbase.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-sqrtrem : t-sqrtrem.exe
	mc []t-sqrtrem

t-sqrtrem.exe : t-sqrtrem.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-sqrtrem.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-sqrtrem.obj : t-sqrtrem.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-tdiv : t-tdiv.exe
	mc []t-tdiv

t-tdiv.exe : t-tdiv.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-tdiv.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-tdiv.obj : t-tdiv.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-tdiv_ui : t-tdiv_ui.exe
	mc []t-tdiv_ui

t-tdiv_ui.exe : t-tdiv_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link t-tdiv_ui.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

t-tdiv_ui.obj : t-tdiv_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

[-]refmpz.obj : [-]refmpz.c
	cc $(CFLAGS) /object=[-]refmpz.obj [-]refmpz.c

bit : bit.exe
	mc []bit

bit.exe : bit.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link bit.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

bit.obj : bit.c [-]tests.h [--]gmp.h [--]gmp-impl.h

convert : convert.exe
	mc []convert

convert.exe : convert.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link convert.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

convert.obj : convert.c [-]tests.h [--]gmp.h [--]gmp-impl.h

dive : dive.exe
	mc []dive

dive.exe : dive.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link dive.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

dive.obj : dive.c [-]tests.h [--]gmp.h [--]gmp-impl.h

dive_ui : dive_ui.exe
	mc []dive_ui

dive_ui.exe : dive_ui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link dive_ui.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

dive_ui.obj : dive_ui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

io : io.exe
	mc []io

io.exe : io.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link io.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

io.obj : io.c [-]tests.h [--]gmp.h [--]gmp-impl.h

logic : logic.exe
	mc []logic

logic.exe : logic.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link logic.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

logic.obj : logic.c [-]tests.h [--]gmp.h [--]gmp-impl.h

reuse : reuse.exe
	mc []reuse

reuse.exe : reuse.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]refmpz.obj [-]link_vms.opt
	link reuse.obj,[-]misc,memory,trace,refmpn,refmpz,link_vms/opt

reuse.obj : reuse.c [-]tests.h [--]gmp.h [--]gmp-impl.h
