# Makefile for OpenVMS
# Author : Jouk Jansen
# Date : 10 March 2008

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/include=([],[-],[--])


all :
	$(MMS)$(MMSQUALIFIERS) t-iset
	$(MMS)$(MMSQUALIFIERS) t-lc2exp
	$(MMS)$(MMSQUALIFIERS) t-mt
	$(MMS)$(MMSQUALIFIERS) t-rand
	$(MMS)$(MMSQUALIFIERS) t-urbui
	$(MMS)$(MMSQUALIFIERS) t-urmui
	$(MMS)$(MMSQUALIFIERS) t-urndmm
	$(MMS)$(MMSQUALIFIERS) findlc
	$(MMS)$(MMSQUALIFIERS) gen
	$(MMS)$(MMSQUALIFIERS) spect
	$(MMS)$(MMSQUALIFIERS) stat
	@ write sys$output "all tests performed in [.rand]"

libgmp.exe : [--]libgmp.exe
	cop  [--]libgmp.exe []libgmp.exe

t-iset : t-iset.exe
	mc []t-iset

t-iset.exe : t-iset.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-iset.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-iset.obj : t-iset.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-lc2exp : t-lc2exp.exe
	mc []t-lc2exp

t-lc2exp.exe : t-lc2exp.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-lc2exp.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-lc2exp.obj : t-lc2exp.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-mt : t-mt.exe
	mc []t-mt

t-mt.exe : t-mt.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-mt.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-mt.obj : t-mt.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-rand : t-rand.exe
	mc []t-rand

t-rand.exe : t-rand.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-rand.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-rand.obj : t-rand.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-urbui : t-urbui.exe
	mc []t-urbui

t-urbui.exe : t-urbui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-urbui.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-urbui.obj : t-urbui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-urmui : t-urmui.exe
	mc []t-urmui

t-urmui.exe : t-urmui.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-urmui.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-urmui.obj : t-urmui.c [-]tests.h [--]gmp.h [--]gmp-impl.h

t-urndmm : t-urndmm.exe
	mc []t-urndmm

t-urndmm.exe : t-urndmm.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link t-urndmm.obj,[-]misc,memory,trace,refmpn,link_vms/opt

t-urndmm.obj : t-urndmm.c [-]tests.h [--]gmp.h [--]gmp-impl.h

gen : gen.exe
	mc []gen 10

gen.exe : gen.obj libgmp.exe [-]misc.obj [-]memory.obj [-]trace.obj\
	[-]refmpn.obj [-]link_vms.opt
	link gen.obj,[-]misc,memory,trace,refmpn,link_vms/opt

gen.obj : gen.c [-]tests.h [--]gmp.h [--]gmp-impl.h

findlc : findlc.exe
	mc []findlc

findlc.exe : findlc.obj statlib.obj zdiv_round.obj libgmp.exe [-]misc.obj\
	 [-]memory.obj [-]trace.obj [-]refmpn.obj [-]link_vms.opt
	link findlc.obj,statlib,zdiv_round,[-]misc,memory,trace,refmpn,\
	link_vms/opt

findlc.obj : findlc.c [-]tests.h [--]gmp.h [--]gmp-impl.h
	cc $(CFLAGS)/nowarn findlc.c

spect : spect.exe
	mc []spect

spect.exe : spect.obj statlib.obj zdiv_round.obj libgmp.exe [-]misc.obj\
	 [-]memory.obj [-]trace.obj [-]refmpn.obj [-]link_vms.opt
	link spect.obj,statlib,zdiv_round,[-]misc,memory,trace,refmpn,\
	link_vms/opt

spect.obj : spect.c [-]tests.h [--]gmp.h [--]gmp-impl.h
	cc $(CFLAGS)/nowarn spect.c

stat : stat.exe gen.exe
	pipe mc []gen 1000 | mc []stat

stat.exe : stat.obj statlib.obj zdiv_round.obj libgmp.exe [-]misc.obj\
	[-]memory.obj [-]trace.obj [-]refmpn.obj [-]link_vms.opt
	link stat.obj,statlib,zdiv_round,[-]misc,memory,trace,refmpn,\
	link_vms/opt

stat.obj : stat.c [-]tests.h [--]gmp.h [--]gmp-impl.h
	cc $(CFLAGS)/nowarn stat.c

statlib.obj : statlib.c [-]tests.h [--]gmp.h [--]gmp-impl.h
	cc $(CFLAGS)/nowarn statlib.c

zdiv_round.obj : zdiv_round.c [-]tests.h [--]gmp.h [--]gmp-impl.h
	cc $(CFLAGS)/nowarn zdiv_round.c
